Legrand / Raritan / Server Technology Xerus™ JSON-RPC API

Loading...
Searching...
No Matches
Public Attributes | List of all members
assetmgrmodel::AssetStripLogger::Record Struct Reference

Log record structure. More...

## Public Attributes
time | timestamp
| Time of log entry creation (UNIX timestamp, UTC)
RecordType | type
| Entry type.
int | assetStripNumber
| Asset strip number (0-based), -1 if unknown.
int | rackUnitNumber
| Rack unit number (0-based), -1 if unknown.
int | rackUnitPosition
| Rack unit position, -1 if unknown.
int | slotNumber
| Blade extension slot number, -1 if unknown, 0 is main strip, >0 is blade.
string | tagId
| The ID of the asset management tag, empty if unknown.
string | parentBladeId
| ID of the parent blade extension tag in case slotNumber>0, empty otherwise.
AssetStrip::State | state
| Asset strip state.

## Detailed Description

Log record structure.

The documentation for this struct was generated from the following file:

- AssetStripLogger.idl